Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#17 ixgbe DCA provider not found

closed
nobody
ixgbe (37)
standalone_driver
5
2014-02-20
2011-03-22
Max
No

Hello
I'm using supermicro X8DTH-6F motherboard +2x Xeon(R) CPU L5640 @ 2.27GHz and Intel® 82599EB 10 Gigabit Ethernet Controller
kernel version 2.6.37+ixgbe-3.2.10
ioatdma and dca enabled in bios and in kernel

root@servername:~# lsmod|grep ioat
ioatdma 33088 48
dca 4354 2 ixgbe,ioatdma

root@servername:~# dmesg |grep dca
[ 19.762295] dca service started, version 1.12.1

root@servername:~# dmesg |grep ioat
[ 19.864844] ioatdma: Intel(R) QuickData Technology Driver 4.00
[ 19.865215] ioatdma 0000:00:16.0: PCI INT A -> GSI 43 (level, low) -> IRQ 43...
...
... 19.879649] ioatdma 0000:80:16.7: setting latency timer to 64
[ 19.879693] ioatdma 0000:80:16.7: irq 122 for MSI/MSI-X
[ 20.212274] ixgbe: eth2: ixgbe_probe: No DCA provider found. Please start ioatdma for DCA functionality.

as you see DCA is not working.

do you have any idea about this problem?

Discussion

  • dca may not be enabled in your processor MSRs, as the bios might be buggy.

     
  • Jacob Keller
    Jacob Keller
    2012-05-04

    Pending due to no response.

     
  • Jacob Keller
    Jacob Keller
    2012-05-04

    This issue was unceremoniously set to closed due to the age of the last update. If you still have this issue please re-open it or file a new bug with the standard troubleshooting info provided.

     
  • Todd Fujinaka
    Todd Fujinaka
    2013-07-08

    • status: pending --> closed